Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.sf.jasperreports.engine.util.xml
Class XalanXPathExecuter

    java.lang.Object
      net.sf.jasperreports.engine.util.xml.XalanXPathExecuter

All Implemented Interfaces:
  JRXPathExecuter

    public class XalanXPathExecuter

extends java.lang.Object
implements JRXPathExecuter

XPath executer implementation that uses Apache Xalan.

Version:
  $Id: XalanXPathExecuter.java 3034 2009-08-27 11:58:04Z teodord $
Author:
  Lucian Chirita (lucianc@users.sourceforge.net)

Constructor Summary
`XalanXPathExecuter()` Default constructor.

Method Summary
`org.w3c.dom.NodeList` | `selectNodeList(org.w3c.dom.Node contextNode, java.lang.String expression)` Selects a node list by evaluating an XPath expression on a context node.
`java.lang.Object` | `selectObject(org.w3c.dom.Node contextNode, java.lang.String expression)` Selects an object by evaluating an XPath expression on a context node.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### XalanXPathExecuter

    public XalanXPathExecuter()

  Default constructor.

Method Detail

### selectNodeList

    public org.w3c.dom.NodeList selectNodeList(org.w3c.dom.Node contextNode,
                                               java.lang.String expression)
                                        throws JRException

  Description copied from interface: `JRXPathExecuter`
  Selects a node list by evaluating an XPath expression on a context node.

  Specified by:
    `selectNodeList` in interface `JRXPathExecuter`
  Parameters:
    `contextNode` - the context node (a document can also be used)
    `expression` - the XPath expression
  Returns:
    the selected node list
  Throws:
    `JRException` - if the XPath evaluation failed

### selectObject

    public java.lang.Object selectObject(org.w3c.dom.Node contextNode,
                                         java.lang.String expression)
                                  throws JRException

  Description copied from interface: `JRXPathExecuter`
  Selects an object by evaluating an XPath expression on a context node.

  If the expression evaluates to a node list, the first node in the list should be returned. Otherwise, the primitive value resulted from the evaluation should be returned as a `java.lang.String`, `java.lang.Number` or `java.lang.Boolean`.

  Specified by:
    `selectObject` in interface `JRXPathExecuter`
  Parameters:
    `contextNode` - the context node (a document can also be used)
    `expression` - the XPath expression
  Returns:
    the selected node or value
  Throws:
    `JRException` - if the XPath evaluation failed

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

© 2001-2010 Jaspersoft Corporation www.jaspersoft.com